_Put_Sprite_Overwrite:
; A = x coordinate
; L = y coordinate
; B = number of rows
; 
; IX = address of sprite

	push af

	;We add clipping on this routine only for placing buildings
	;down.  Most of the sprite clipping comes from
	;masked sprites, not overwritten sprites.

	BIT Object_Ready_To_Add, (IY + flag) 
	jr z, ++_

	cp 80
	jr nz, _
	
	ld a, (Sprite_Width)
	cp 4
	jr nz, _

_
	ld a, b
	cp 32
	jr nz, _
	ld a, l
	cp 48
	jr nz, _
	ld a, b
	sub 16
	ld b, a

_

	pop af

    LD     H, 0
    LD     D, H
    LD     E, L
    ADD    HL, HL
    ADD    HL, DE
    ADD    HL, HL
    ADD    HL, HL

    LD     E, A
    SRL    E
    SRL    E
    SRL    E
    ADD    HL, DE

    PUSH AF
    LD A, (Working_On_Number_Of_Ships)

    or a
    jr nz, _

    LD     DE, plotsscreen
    jr ++_

_

    ld de, Number_Of_Ships_Sprite

_

    pop af
    ADD    HL, DE
   
    
    AND    7
    JR     Z, __AlignedOverwrite

    LD     C, A
    PUSH HL
    LD A, 12
    LD HL, Sprite_Width
    SUB (HL)
    LD D,0
    LD E, A

    ld a, (Working_On_Number_Of_Ships)
    or a
    jr z, _

    ld e, 3
_
    POP HL    
    
__RowLoopOverwrite:

    PUSH   BC
    
    ;Stores width into B, which will be decreased 1 by 1 until one row is complete
    LD A, (Sprite_Width)
    LD B, A
    

__ColumnLoopOverwrite:
    PUSH BC 
       
    LD     B, C
    LD     A, (IX)
    LD C, 0

__ShiftLoopOverwrite:

   
    rrca
    scf
    rr c
  
    DJNZ   __ShiftLoopOverwrite
    ld b, a
 

    ld a, (hl)
    xor b
    and c
    xor b

    

    LD     (HL), A
    inc hl
    LD     A, C
    cpl
    ld c, a

    LD a, (hl)
    xor b
    and c
    xor b

    ld (hl), a
    pop bc
    INC IX

    DJNZ __ColumnLoopOverwrite


   ADD    HL, DE
    

    pop bc


    DJNZ   __RowLoopOverwrite
    

    RET

__AlignedOverwrite:
   
    PUSH HL
    LD A, 12
    LD HL, Sprite_Width
    SUB (HL)
    LD D,0
    LD E, A

    ld a, (Working_On_Number_Of_Ships)
    or a
    jr z, _

    ld e, 3
_

    POP HL  
     
__PutLoopOverwrite:
    PUSH BC
    LD A, (Sprite_Width)
    LD B, A 

__PutLoopOverwrite2:
    
    LD     A, (IX)


    
    LD     (HL), A
    INC  IX
  
    INC HL


    DJNZ __PutLoopOverwrite2
__PutLoopOverwriteAdd:
    POP BC

 ADD HL, DE
 DJNZ __PutLoopOverwrite
 
 RET