Create_Sprite_For_Number_Of_Ships:

 ldir



 ld hl, Ship_Frame_Data + 2
 ld a, (hl)

 ld hl, Ship_Number
 ld de, Number_Of_Ships_Sprite
 ld bc, 40
 ldir 

;Our font routine needs to know that we are drawing a number
;of ships, not a number pertaining to data

 ld a, 1
 ld (Working_On_Number_Of_Ships), a

 ld hl, zerotext2
 ld de, ASCIINumber
 ld bc, 6
 ldir

 ld a, (Player1 + Current_Number_Of_Ships)
 ld d, 0
 ld e, a
 B_CALL _bintobcd16

 ld hl, 0*256+12		
 ld (penCol), hl
 
 ld hl, ASCIINumber

 B_CALL _Put_Text_Zero_End

 xor a
 ld (Working_On_Number_Of_Ships), a

 ret

Ship_Number:


.db %00000000, %00000000, %00000000, %00000000
.db %00000000, %00000000, %00000000, %00000000
.db %00000000, %00000000, %00000000, %00000000
.db %00000000, %00000000, %00000000, %00000000
.db %00000000, %00000000, %00000000, %00000000

.db %11111111, %00000000, %00000000, %11111111
.db %11111111, %00000000, %00000000, %11111111
.db %11111111, %00000000, %00000000, %11111111
.db %11111111, %00000000, %00000000, %11111111
.db %11111111, %00000000, %00000000, %11111111

Load_Reclauda:

	ld hl, Reclauda_Sprite_Data
	ld de, Ship_Frame_Data
	ld bc, 18*2*2 + 5


	call Create_Sprite_For_Number_Of_Ships


	ld a, %10111011
	ld (Player1 + Player_Speed), a
	ret

Load_Argo:

	ld hl, Argo_Sprite_Data
	ld de, Ship_Frame_Data
	ld bc, 18 * 2 + 5

	call Create_Sprite_For_Number_Of_Ships

	ld a, %01010110
	ld (Player1 + Player_Speed), a
	ret

Load_Camoza:

	ld hl, Camoza_Sprite_Data
	ld de, Ship_Frame_Data
	ld bc, 26 * 2 + 5


	call Create_Sprite_For_Number_Of_Ships


	ld a, %01010110
	ld (Player1 + Player_Speed), a
	ret

Load_Scouter:

	ld hl, Scouter_Sprite_Data
	
	call Find_Proper_Sprite_Based_On_Direction

	ld de, Ship_Frame_Data
	ld bc, 12 * 2 * 4 + 20


	call Create_Sprite_For_Number_Of_Ships



	ld a, %00001100
	ld (Player1 + Player_Animation), a
	ld a, $60
	ld (Player1 + Player_Animation_Time), a
	ld a, %01010100
	ld (Player1 + Player_Speed), a

	ret

Load_Balkstone:

	ld hl, Balkstone_Sprite_Data
	


	call Find_Proper_Sprite_Based_On_Direction

	ld de, Ship_Frame_Data
	ld bc, 25 * 2 * 3 + 5


	call Create_Sprite_For_Number_Of_Ships


	ld a, %01010110
	ld (Player1 + Player_Speed), a
	
	ret

Load_Splitron:

	ld hl, Splitron_Sprite_Data
	
	call Find_Proper_Sprite_Based_On_Direction

	ld de, Ship_Frame_Data
	ld bc, 32 * 4 * 2 + 5


	call Create_Sprite_For_Number_Of_Ships


	ld a, %01000100
	ld (Player1 + Player_Speed), a
	ret


Load_Degruser:

	ld hl, Degruser_Sprite_Data
	
	call Find_Proper_Sprite_Based_On_Direction

	ld de, Ship_Frame_Data
	ld bc, 72 * 2 + 5


	call Create_Sprite_For_Number_Of_Ships


	ld a, %01010100
	ld (Player1 + Player_Speed), a
	ret

Load_Raptor:

	ld hl, Raptor_Sprite_Data
	call Find_Proper_Sprite_Based_On_Direction
	ld de, Ship_Frame_Data
	ld bc, 56 * 2 + 5


	call Create_Sprite_For_Number_Of_Ships

	ld a, %01010101
	ld (Player1 + Player_Speed), a

	ret



Find_Proper_Sprite_Based_On_Direction

	;Most ships have one sprite for each of eight different
	;directions.  We need to load the proper sprite for the proper
	;direction.


	;HL holds the beginning of the sprite data

	ld d, h
	ld e, l

	ld a, (Player1 + Player_Direction)
	cp 5
	jr z, _
	cp 3
	jr z, ++_
	jr Continue_Load_Ship_Data
_

	

	ld a, 8
	jr Continue_Load_Ship_Data

_

	ld a, 9


Continue_Load_Ship_Data:


	sub 7
	ld b, 0
	inc a
_
	ld c, (hl)

	ex de, hl

	add hl, bc
	ex de, hl
	inc hl
	

	dec a
	jr nz, -_

	ex de, hl

	ret
	
	
;******************************************
;******************************************
;***					***
;***		RECLAUDA		***
;***					***
;******************************************
;******************************************




Reclauda_Sprite_Data:

;Offset X, Y

.db 7, 8

;Width, Height

.db 2, 18

;Offset to mask

.db 36

;Sprite data

.db %00000011,%11000000
.db %00001100,%00110000
.db %00010011,%11001000
.db %00101100,%00110100
.db %01010000,%00001010
.db %10100011,%11001010
.db %10100100,%00100101
.db %11101000,%00010101
.db %01011000,%00110110
.db %01101000,%01011010
.db %10101000,%10110111
.db %10100101,%01100101
.db %01010011,%11000101
.db %01010000,%00001010
.db %00101100,%00110100
.db %00010011,%11001000
.db %00001100,%00110000
.db %00000011,%11000000

;Mask

.db %11111100,%00111111
.db %11110000,%00001111
.db %11100000,%00000111
.db %11000011,%11000011
.db %10001111,%11110001
.db %00011100,%00110001
.db %00011000,%00011000
.db %00010000,%00001000
.db %10000000,%00001001
.db %10010000,%00000101
.db %00010000,%00001000
.db %00011000,%00011000
.db %10001100,%00111000
.db %10001111,%11110001
.db %11000011,%11000011
.db %11100000,%00000111
.db %11110000,%00001111
.db %11111100,%00111111


;******************************************
;******************************************
;***					***
;***		BALKSTONE		***
;***					***
;******************************************
;******************************************



Balkstone_Sprite_Data:


;Data offsets

.db 8
.db 75 + 75 + 5
.db 72 + 72 + 5
.db 72 + 72 + 5
.db 72 + 72 + 5
.db 54 + 54 + 5
.db 72 + 72 + 5
.db 54 + 54 + 5


;UP



.db 9, 13
.db 3, 25
.db 75

	.db %00000000,%10000000,%00000000
	.db %00000000,%10000000,%00000000
	.db %00000000,%10000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%10100000,%00000000
	.db %10000100,%10010000,%10000000
	.db %10000101,%01010000,%10000000
	.db %11111101,%01011111,%10000000
	.db %10000001,%01000000,%10000000
	.db %11111101,%01011111,%10000000
	.db %11111100,%10011111,%10000000
	.db %10000110,%00110000,%10000000
	.db %00000011,%11100000,%00000000
	.db %00000001,%11000000,%00000000


	.db %11111111,%01111111,%11111111
	.db %11111111,%01111111,%11111111
	.db %11111111,%01111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %01111000,%00001111,%01111111
	.db %01111000,%00001111,%01111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%01111111
	.db %01111000,%00001111,%01111111
	.db %11111100,%00011111,%11111111
	.db %11111110,%00111111,%11111111

;UP LEFT

.db 12, 12
.db 3, 24
.db 72

	.db %10000000,%00000000,%00000000
	.db %11100000,%00000000,%00000000
	.db %01010000,%00000000,%00000000
	.db %01101000,%00000000,%00000000
	.db %00110110,%00000000,%00000000
	.db %00011001,%00000000,%00000000
	.db %00011000,%10000000,%00000000
	.db %00001100,%01000000,%00010000
	.db %00000110,%00100000,%00001000
	.db %00000011,%00011100,%00001100
	.db %00000001,%10000010,%00010110
	.db %00000000,%11011001,%00101101
	.db %00000000,%11010100,%11011000
	.db %00000000,%01001010,%01110000
	.db %00000000,%01100101,%00110000
	.db %00000000,%00110011,%00110000
	.db %00000000,%00011000,%01100000
	.db %00000000,%00001100,%11000000
	.db %00000000,%00010111,%10000000
	.db %00000001,%00101111,%00000000
	.db %00000000,%11011000,%00000000
	.db %00000000,%01110000,%00000000
	.db %00000000,%00100000,%00000000
	.db %00000000,%00010000,%00000000


	.db %01111111,%11111111,%11111111
	.db %00011111,%11111111,%11111111
	.db %10001111,%11111111,%11111111
	.db %10000111,%11111111,%11111111
	.db %11000001,%11111111,%11111111
	.db %11100000,%11111111,%11111111
	.db %11100000,%01111111,%11111111
	.db %11110000,%00111111,%11101111
	.db %11111000,%00011111,%11110111
	.db %11111100,%00000011,%11110011
	.db %11111110,%00000001,%11100001
	.db %11111111,%00000000,%11000010
	.db %11111111,%00000000,%00000111
	.db %11111111,%10000000,%00001111
	.db %11111111,%10000000,%00001111
	.db %11111111,%11000000,%00001111
	.db %11111111,%11100000,%00011111
	.db %11111111,%11110000,%00111111
	.db %11111111,%11100000,%01111111
	.db %11111110,%11000000,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%10001111,%11111111
	.db %11111111,%11011111,%11111111
	.db %11111111,%11101111,%11111111



;UP RIGHT


.db 12, 12
.db 3, 24
.db 72
	.db %00000000,%00000000,%00000001
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00001010
	.db %00000000,%00000000,%00010110
	.db %00000000,%00000000,%01101100
	.db %00000000,%00000000,%10011000
	.db %00000000,%00000001,%00011000
	.db %00001000,%00000010,%00110000
	.db %00010000,%00000100,%01100000
	.db %00110000,%00111000,%11000000
	.db %01101000,%01000001,%10000000
	.db %10110100,%10011011,%00000000
	.db %00011011,%00101011,%00000000
	.db %00001110,%01010010,%00000000
	.db %00001100,%10100110,%00000000
	.db %00001100,%11001100,%00000000
	.db %00000110,%00011000,%00000000
	.db %00000011,%00110000,%00000000
	.db %00000001,%11101000,%00000000
	.db %00000000,%11110100,%10000000
	.db %00000000,%00011011,%00000000
	.db %00000000,%00001110,%00000000
	.db %00000000,%00000100,%00000000
	.db %00000000,%00001000,%00000000

	.db %11111111,%11111111,%11111110
	.db %11111111,%11111111,%11111000
	.db %11111111,%11111111,%11110001
	.db %11111111,%11111111,%11100001
	.db %11111111,%11111111,%10000011
	.db %11111111,%11111111,%00000111
	.db %11111111,%11111110,%00000111
	.db %11110111,%11111100,%00001111
	.db %11101111,%11111000,%00011111
	.db %11001111,%11000000,%00111111
	.db %10000111,%10000000,%01111111
	.db %01000011,%00000000,%11111111
	.db %11100000,%00000000,%11111111
	.db %11110000,%00000001,%11111111
	.db %11110000,%00000001,%11111111
	.db %11110000,%00000011,%11111111
	.db %11111000,%00000111,%11111111
	.db %11111100,%00001111,%11111111
	.db %11111110,%00000111,%11111111
	.db %11111111,%00000011,%01111111
	.db %11111111,%11100000,%11111111
	.db %11111111,%11110001,%11111111
	.db %11111111,%11111011,%11111111
	.db %11111111,%11110111,%11111111

;DOWN RIGHT

.db 12, 12
.db 3, 24
.db 72

	.db %00000000,%00001000,%00000000
	.db %00000000,%00000100,%00000000
	.db %00000000,%00000110,%00000000
	.db %00000000,%00001011,%00000000
	.db %00000000,%00010110,%10000000
	.db %00000000,%11101100,%00000000
	.db %00000001,%00111000,%00000000
	.db %00000010,%00010000,%00000000
	.db %00000100,%11001000,%00000000
	.db %00000100,%10100100,%00000000
	.db %00000110,%01010010,%00000000
	.db %00001011,%00101010,%00000000
	.db %10010111,%10011010,%00000000
	.db %01101100,%11000001,%00000000
	.db %00111000,%01111000,%10000000
	.db %00010000,%00011100,%01000000
	.db %00001000,%00000110,%00100000
	.db %00000000,%00000011,%00010000
	.db %00000000,%00000001,%10010000
	.db %00000000,%00000000,%11101000
	.db %00000000,%00000000,%01110100
	.db %00000000,%00000000,%00011010
	.db %00000000,%00000000,%00001110
	.db %00000000,%00000000,%00000001

	.db %11111111,%11110111,%11111111
	.db %11111111,%11111011,%11111111
	.db %11111111,%11111001,%11111111
	.db %11111111,%11110000,%11111111
	.db %11111111,%11100001,%01111111
	.db %11111111,%00000011,%11111111
	.db %11111110,%00000111,%11111111
	.db %11111100,%00001111,%11111111
	.db %11111000,%00000111,%11111111
	.db %11111000,%00000011,%11111111
	.db %11111000,%00000001,%11111111
	.db %11110000,%00000001,%11111111
	.db %01100000,%00000001,%11111111
	.db %10000011,%00000000,%11111111
	.db %11000111,%10000000,%01111111
	.db %11101111,%11100000,%00111111
	.db %11110111,%11111000,%00011111
	.db %11111111,%11111100,%00001111
	.db %11111111,%11111110,%00001111
	.db %11111111,%11111111,%00000111
	.db %11111111,%11111111,%10000011
	.db %11111111,%11111111,%11100001
	.db %11111111,%11111111,%11110001
	.db %11111111,%11111111,%11111110


;RIGHT

.db 12, 9
.db 3, 18
.db 54

	.db %01111111,%00000000,%00000000
	.db %11110111,%10000000,%00000000
	.db %00010100,%00000000,%00000000
	.db %00010100,%00000000,%00000000
	.db %00010100,%00000000,%00000000
	.db %00110111,%00000000,%00000000
	.db %01000000,%11111110,%00000000
	.db %10011110,%00000001,%11111000
	.db %10100001,%10000000,%00000111
	.db %10011110,%00000001,%11111111
	.db %11000000,%11111111,%11111000
	.db %01110111,%11111110,%00000000
	.db %00110111,%00000000,%00000000
	.db %00010100,%00000000,%00000000
	.db %00010100,%00000000,%00000000
	.db %00010100,%00000000,%00000000
	.db %01111111,%00000000,%00000000
	.db %11111111,%10000000,%00000000

	.db %10000000,%11111111,%11111111
	.db %00000000,%01111111,%11111111
	.db %11100011,%11111111,%11111111
	.db %11100011,%11111111,%11111111
	.db %11100011,%11111111,%11111111
	.db %11000000,%11111111,%11111111
	.db %10000000,%00000001,%11111111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000000
	.db %00000000,%00000000,%00000000
	.db %00000000,%00000000,%00000111
	.db %10000000,%00000001,%11111111
	.db %11000000,%11111111,%11111111
	.db %11100011,%11111111,%11111111
	.db %11100011,%11111111,%11111111
	.db %11100011,%11111111,%11111111
	.db %10000000,%11111111,%11111111
	.db %00000000,%01111111,%11111111

;DOWN LEFT

.db 12, 12
.db 3, 24
.db 72

	.db %00000000,%00010000,%00000000
	.db %00000000,%00100000,%00000000
	.db %00000000,%01100000,%00000000
	.db %00000000,%11010000,%00000000
	.db %00000001,%01101000,%00000000
	.db %00000000,%00110111,%00000000
	.db %00000000,%00011100,%10000000
	.db %00000000,%00001000,%01000000
	.db %00000000,%00010011,%00100000
	.db %00000000,%00100101,%00100000
	.db %00000000,%01001010,%01100000
	.db %00000000,%01010100,%11010000
	.db %00000000,%01011001,%11101001
	.db %00000000,%10000011,%00110110
	.db %00000001,%00011110,%00011100
	.db %00000010,%00111000,%00001000
	.db %00000100,%01100000,%00010000
	.db %00001000,%11000000,%00000000
	.db %00001001,%10000000,%00000000
	.db %00010111,%00000000,%00000000
	.db %00101110,%00000000,%00000000
	.db %01011000,%00000000,%00000000
	.db %01110000,%00000000,%00000000
	.db %10000000,%00000000,%00000000

	.db %11111111,%11101111,%11111111
	.db %11111111,%11011111,%11111111
	.db %11111111,%10011111,%11111111
	.db %11111111,%00001111,%11111111
	.db %11111110,%10000111,%11111111
	.db %11111111,%11000000,%11111111
	.db %11111111,%11100000,%01111111
	.db %11111111,%11110000,%00111111
	.db %11111111,%11100000,%00011111
	.db %11111111,%11000000,%00011111
	.db %11111111,%10000000,%00011111
	.db %11111111,%10000000,%00001111
	.db %11111111,%10000000,%00000110
	.db %11111111,%00000000,%11000001
	.db %11111110,%00000001,%11100011
	.db %11111100,%00000111,%11110111
	.db %11111000,%00011111,%11101111
	.db %11110000,%00111111,%11111111
	.db %11110000,%01111111,%11111111
	.db %11100000,%11111111,%11111111
	.db %11000001,%11111111,%11111111
	.db %10000111,%11111111,%11111111
	.db %10001111,%11111111,%11111111
	.db %01111111,%11111111,%11111111

;LEFT

.db 12, 9
.db 3, 18
.db 54

	.db %00000000,%00000000,%11111110
	.db %00000000,%00000001,%11101111
	.db %00000000,%00000000,%00101000
	.db %00000000,%00000000,%00101000
	.db %00000000,%00000000,%00101000
	.db %00000000,%00000000,%11101100
	.db %00000000,%01111111,%00000010
	.db %00011111,%10000000,%01111001
	.db %11100000,%00000001,%10000101
	.db %11111111,%10000000,%01111001
	.db %00011111,%11111111,%00000011
	.db %00000000,%01111111,%11101110
	.db %00000000,%00000000,%11101100
	.db %00000000,%00000000,%00101000
	.db %00000000,%00000000,%00101000
	.db %00000000,%00000000,%00101000
	.db %00000000,%00000000,%11111110
	.db %00000000,%00000001,%11111111


	.db %11111111,%11111111,%00000001
	.db %11111111,%11111110,%00000000
	.db %11111111,%11111111,%11000111
	.db %11111111,%11111111,%11000111
	.db %11111111,%11111111,%11000111
	.db %11111111,%11111111,%00000011
	.db %11111111,%10000000,%00000001
	.db %11100000,%00000000,%00000000
	.db %00000000,%00000000,%00000000
	.db %00000000,%00000000,%00000000
	.db %11100000,%00000000,%00000000
	.db %11111111,%10000000,%00000001
	.db %11111111,%11111111,%00000011
	.db %11111111,%11111111,%11000111
	.db %11111111,%11111111,%11000111
	.db %11111111,%11111111,%11000111
	.db %11111111,%11111111,%00000001
	.db %11111111,%11111110,%00000000

;DOWN

.db 9, 13
.db 3, 24
.db 72

	.db %00000001,%11000000,%00000000
	.db %10000010,%00100000,%10000000
	.db %10000100,%10010000,%10000000
	.db %11111101,%01011111,%10000000
	.db %10000001,%01000000,%10000000
	.db %11111101,%01011111,%10000000
	.db %11111101,%01011111,%10000000
	.db %10000100,%10010000,%10000000
	.db %00000010,%10100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000010,%00100000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000001,%01000000,%00000000
	.db %00000000,%10000000,%00000000
	.db %00000000,%10000000,%00000000
	.db %00000000,%10000000,%00000000

	.db %11111110,%00111111,%11111111
	.db %01111100,%00011111,%01111111
	.db %01111000,%00001111,%01111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%01111111
	.db %01111000,%00001111,%01111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111100,%00011111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111110,%00111111,%11111111
	.db %11111111,%01111111,%11111111
	.db %11111111,%01111111,%11111111
	.db %11111111,%01111111,%11111111

;******************************************
;******************************************
;***					***
;***		SPLITRON		***
;***					***
;******************************************
;******************************************



Splitron_Sprite_Data:

.db 8
.db 90 + 90 + 5
.db 112 + 112 + 5
.db 112 + 112 + 5
.db 112 + 112 + 5
.db 92 + 92 + 5
.db 112 + 112 + 5
.db 92 + 92 + 5
	
;UP

.db 11, 15
.db 3, 30
.db 90

	.db %00000000,%00100000,%00000000
	.db %00000000,%01010000,%00000000
	.db %00000000,%10001000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00100000,%10101000,%00100000
	.db %01010000,%10101000,%01010000
	.db %10001000,%10101000,%10001000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101111,%10101111,%10101000
	.db %10100000,%00100000,%00101000
	.db %10111111,%11111111,%11101000
	.db %10100000,%00100000,%00101000
	.db %10001111,%10101111,%10001000
	.db %11010000,%10001000,%01011000
	.db %10101111,%11111111,%10101000
	.db %01010000,%10001000,%01010000
	.db %00100000,%11111000,%00100000

	.db %11111111,%11011111,%11111111
	.db %11111111,%10001111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11011111,%00000111,%11011111
	.db %10001111,%00000111,%10001111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %10001111,%00000111,%10001111
	.db %11011111,%00000111,%11011111

;UP LEFT

.db 13, 14
.db 4, 28
.db 112

	.db %11110000,%00000000,%00000000,%00000000
	.db %10001000,%00000000,%00000000,%00000000
	.db %10100100,%00000011,%11000000,%00000000
	.db %10010010,%00000010,%00100000,%00000000
	.db %11001001,%00000010,%10010000,%00000000
	.db %10100100,%10000010,%01001000,%00000000
	.db %01010010,%01000011,%00100100,%00000000
	.db %00101001,%00100010,%10010010,%00000000
	.db %00010100,%10010001,%01001001,%00000000
	.db %00001010,%01001000,%10100100,%10000000
	.db %00000101,%00100100,%01010010,%01000000
	.db %00000010,%10010010,%00100101,%01000000
	.db %00000001,%01001001,%01001000,%01000000
	.db %00000000,%10100100,%10010011,%11000000
	.db %00000000,%01010010,%00100110,%01000000
	.db %00011110,%00101001,%01001011,%11000000
	.db %00010001,%00010100,%10010100,%00000000
	.db %00010100,%10001001,%01001100,%00000000
	.db %00010010,%01010010,%00010100,%00000000
	.db %00011001,%00100100,%10101000,%00000000
	.db %00010100,%10001001,%01010000,%00000000
	.db %00001010,%01010010,%11100000,%00000000
	.db %00000101,%00100101,%01000000,%00000000
	.db %00000010,%10010110,%00000000,%00000000
	.db %00000001,%01000100,%00000000,%00000000
	.db %00000000,%10111100,%00000000,%00000000
	.db %00000000,%01000100,%00000000,%00000000
	.db %00000000,%00111100,%00000000,%00000000

	.db %00001111,%11111111,%11111111,%11111111
	.db %00000111,%11111111,%11111111,%11111111
	.db %00000011,%11111100,%00111111,%11111111
	.db %00000001,%11111100,%00011111,%11111111
	.db %00000000,%11111100,%00001111,%11111111
	.db %00000000,%01111100,%00000111,%11111111
	.db %10000000,%00111100,%00000011,%11111111
	.db %11000000,%00011100,%00000001,%11111111
	.db %11100000,%00001110,%00000000,%11111111
	.db %11110000,%00000111,%00000000,%01111111
	.db %11111000,%00000011,%10000000,%00111111
	.db %11111100,%00000001,%11000000,%00111111
	.db %11111110,%00000000,%10000000,%00111111
	.db %11111111,%00000000,%00000000,%00111111
	.db %11111111,%10000000,%00000000,%00111111
	.db %11100001,%11000000,%00000000,%00111111
	.db %11100000,%11100000,%00000011,%11111111
	.db %11100000,%01110000,%00000011,%11111111
	.db %11100000,%00100000,%00000011,%11111111
	.db %11100000,%00000000,%00000111,%11111111
	.db %11100000,%00000000,%00001111,%11111111
	.db %11110000,%00000000,%00011111,%11111111
	.db %11111000,%00000000,%10111111,%11111111
	.db %11111100,%00000001,%11111111,%11111111
	.db %11111110,%00000011,%11111111,%11111111
	.db %11111111,%00000011,%11111111,%11111111
	.db %11111111,%10000011,%11111111,%11111111
	.db %11111111,%11000011,%11111111,%11111111


;UP RIGHT

.db 13, 14
.db 4, 28
.db 112

	.db %00000000,%00000000,%00000011,%11000000
	.db %00000000,%00000000,%00000100,%01000000
	.db %00000000,%11110000,%00001001,%01000000
	.db %00000001,%00010000,%00010010,%01000000
	.db %00000010,%01010000,%00100100,%11000000
	.db %00000100,%10010000,%01001001,%01000000
	.db %00001001,%00110000,%10010010,%10000000
	.db %00010010,%01010001,%00100101,%00000000
	.db %00100100,%10100010,%01001010,%00000000
	.db %01001001,%01000100,%10010100,%00000000
	.db %10010010,%10001001,%00101000,%00000000
	.db %10101001,%00010010,%01010000,%00000000
	.db %10000100,%10100100,%10100000,%00000000
	.db %11110010,%01001001,%01000000,%00000000
	.db %10011001,%00010010,%10000000,%00000000
	.db %11110100,%10100101,%00011110,%00000000
	.db %00001010,%01001010,%00100010,%00000000
	.db %00001100,%10100100,%01001010,%00000000
	.db %00001010,%00010010,%10010010,%00000000
	.db %00000101,%01001001,%00100110,%00000000
	.db %00000010,%10100100,%01001010,%00000000
	.db %00000001,%11010010,%10010100,%00000000
	.db %00000000,%10101001,%00101000,%00000000
	.db %00000000,%00011010,%01010000,%00000000
	.db %00000000,%00001000,%10100000,%00000000
	.db %00000000,%00001111,%01000000,%00000000
	.db %00000000,%00001000,%10000000,%00000000
	.db %00000000,%00001111,%00000000,%00000000

	.db %11111111,%11111111,%11111100,%00111111
	.db %11111111,%11111111,%11111000,%00111111
	.db %11111111,%00001111,%11110000,%00111111
	.db %11111110,%00001111,%11100000,%00111111
	.db %11111100,%00001111,%11000000,%00111111
	.db %11111000,%00001111,%10000000,%00111111
	.db %11110000,%00001111,%00000000,%01111111
	.db %11100000,%00001110,%00000000,%11111111
	.db %11000000,%00011100,%00000001,%11111111
	.db %10000000,%00111000,%00000011,%11111111
	.db %00000000,%01110000,%00000111,%11111111
	.db %00000000,%11100000,%00001111,%11111111
	.db %00000000,%01000000,%00011111,%11111111
	.db %00000000,%00000000,%00111111,%11111111
	.db %00000000,%00000000,%01111111,%11111111
	.db %00000000,%00000000,%11100001,%11111111
	.db %11110000,%00000001,%11000001,%11111111
	.db %11110000,%00000011,%10000001,%11111111
	.db %11110000,%00000001,%00000001,%11111111
	.db %11111000,%00000000,%00000001,%11111111
	.db %11111100,%00000000,%00000001,%11111111
	.db %11111110,%00000000,%00000011,%11111111
	.db %11111111,%01000000,%00000111,%11111111
	.db %11111111,%11100000,%00001111,%11111111
	.db %11111111,%11110000,%00011111,%11111111
	.db %11111111,%11110000,%00111111,%11111111
	.db %11111111,%11110000,%01111111,%11111111
	.db %11111111,%11110000,%11111111,%11111111

;DOWN RIGHT

.db 13, 14
.db 4, 28
.db 112

	.db %00000000,%00001111,%00000000,%00000000
	.db %00000000,%00001000,%10000000,%00000000
	.db %00000000,%00001010,%01000000,%00000000
	.db %00000000,%00001001,%00100000,%00000000
	.db %00000000,%00010010,%10010000,%00000000
	.db %00000000,%10100100,%01001000,%00000000
	.db %00000001,%01001001,%00100100,%00000000
	.db %00000010,%00010010,%10010010,%00000000
	.db %00000100,%10100101,%01001001,%00000000
	.db %00000110,%01001010,%10100101,%00000000
	.db %00000100,%10100100,%01010001,%00000000
	.db %00001001,%00010010,%00101111,%00000000
	.db %11110010,%01001001,%00010001,%00000000
	.db %10000100,%10100100,%10001111,%00000000
	.db %10101001,%01010010,%01000000,%00000000
	.db %10010010,%10101001,%00100000,%00000000
	.db %11001001,%00010100,%10010000,%00000000
	.db %10100100,%10001010,%01001000,%00000000
	.db %01010010,%01000101,%00100100,%00000000
	.db %00101001,%00100010,%10010010,%00000000
	.db %00010100,%10100001,%01001001,%00000000
	.db %00001010,%00100000,%10100100,%10000000
	.db %00000101,%11100000,%01010010,%01000000
	.db %00000010,%00100000,%00101001,%01000000
	.db %00000001,%11100000,%00010100,%01000000
	.db %00000000,%00000000,%00001011,%11000000
	.db %00000000,%00000000,%00000100,%01000000
	.db %00000000,%00000000,%00000011,%11000000

	.db %11111111,%11110000,%11111111,%11111111
	.db %11111111,%11110000,%01111111,%11111111
	.db %11111111,%11110000,%00111111,%11111111
	.db %11111111,%11110000,%00011111,%11111111
	.db %11111111,%11100000,%00001111,%11111111
	.db %11111111,%01000000,%00000111,%11111111
	.db %11111110,%00000000,%00000011,%11111111
	.db %11111100,%00000000,%00000001,%11111111
	.db %11111000,%00000000,%00000000,%11111111
	.db %11111000,%00000001,%00000000,%11111111
	.db %11111000,%00000011,%10000000,%11111111
	.db %11110000,%00000001,%11000000,%11111111
	.db %00000000,%00000000,%11100000,%11111111
	.db %00000000,%00000000,%01110000,%11111111
	.db %00000000,%00000000,%00111111,%11111111
	.db %00000000,%01000000,%00011111,%11111111
	.db %00000000,%11100000,%00001111,%11111111
	.db %00000000,%01110000,%00000111,%11111111
	.db %10000000,%00111000,%00000011,%11111111
	.db %11000000,%00011100,%00000001,%11111111
	.db %11100000,%00011110,%00000000,%11111111
	.db %11110000,%00011111,%00000000,%01111111
	.db %11111000,%00011111,%10000000,%00111111
	.db %11111100,%00011111,%11000000,%00111111
	.db %11111110,%00011111,%11100000,%00111111
	.db %11111111,%11111111,%11110000,%00111111
	.db %11111111,%11111111,%11111000,%00111111
	.db %11111111,%11111111,%11111100,%00111111

;RIGHT

.db 14, 11
.db 4, 23
.db 92

	.db %00111111,%11111100,%00000000,%00000000
	.db %01000000,%00000010,%00000000,%00000000
	.db %10011111,%11111001,%00000000,%00000000
	.db %11001000,%00000011,%00000000,%00000000
	.db %10101011,%11111101,%00000000,%00000000
	.db %01101010,%00000010,%00000000,%00000000
	.db %00101011,%11111100,%00000000,%00000000
	.db %00101010,%00000000,%00000000,%00000000
	.db %11101011,%11111111,%11111111,%11000000
	.db %10001000,%00000000,%00000000,%00100000
	.db %10111111,%11111111,%11111111,%10010000
	.db %10001000,%00000000,%00000000,%00110000
	.db %11101011,%11111111,%11111111,%11010000
	.db %10101010,%00000000,%00000000,%00100000
	.db %11101011,%11111111,%11111111,%11000000
	.db %00101010,%00000000,%00000000,%00000000
	.db %00101011,%11111100,%00000000,%00000000
	.db %01001000,%00000010,%00000000,%00000000
	.db %10011111,%11111001,%00000000,%00000000
	.db %11000000,%00000011,%00000000,%00000000
	.db %10111111,%11111101,%00000000,%00000000
	.db %01000000,%00000010,%00000000,%00000000
	.db %00111111,%11111100,%00000000,%00000000

	.db %11000000,%00000011,%11111111,%11111111
	.db %10000000,%00000001,%11111111,%11111111
	.db %00000000,%00000000,%11111111,%11111111
	.db %00000000,%00000000,%11111111,%11111111
	.db %00000000,%00000000,%11111111,%11111111
	.db %10000000,%00000001,%11111111,%11111111
	.db %11000000,%00000011,%11111111,%11111111
	.db %11000001,%11111111,%11111111,%11111111
	.db %00000000,%00000000,%00000000,%00111111
	.db %00000000,%00000000,%00000000,%00011111
	.db %00000000,%00000000,%00000000,%00001111
	.db %00000000,%00000000,%00000000,%00001111
	.db %00000000,%00000000,%00000000,%00001111
	.db %00000000,%00000000,%00000000,%00011111
	.db %00000000,%00000000,%00000000,%00111111
	.db %11000001,%11111111,%11111111,%11111111
	.db %11000000,%00000011,%11111111,%11111111
	.db %10000000,%00000001,%11111111,%11111111
	.db %00000000,%00000000,%11111111,%11111111
	.db %00000000,%00000000,%11111111,%11111111
	.db %00000000,%00000000,%11111111,%11111111
	.db %10000000,%00000001,%11111111,%11111111
	.db %11000000,%00000011,%11111111,%11111111

;DOWN LEFT

.db 13, 14
.db 4, 28
.db 112

	.db %00000000,%00111100,%00000000,%00000000
	.db %00000000,%01000100,%00000000,%00000000
	.db %00000000,%10010100,%00000000,%00000000
	.db %00000001,%00100100,%00000000,%00000000
	.db %00000010,%01010010,%00000000,%00000000
	.db %00000100,%10001001,%01000000,%00000000
	.db %00001001,%00100100,%10100000,%00000000
	.db %00010010,%01010010,%00010000,%00000000
	.db %00100100,%10101001,%01001000,%00000000
	.db %00101001,%01010100,%10011000,%00000000
	.db %00100010,%10001001,%01001000,%00000000
	.db %00111101,%00010010,%00100100,%00000000
	.db %00100010,%00100100,%10010011,%11000000
	.db %00111100,%01001001,%01001000,%01000000
	.db %00000000,%10010010,%10100101,%01000000
	.db %00000001,%00100101,%01010010,%01000000
	.db %00000010,%01001010,%00100100,%11000000
	.db %00000100,%10010100,%01001001,%01000000
	.db %00001001,%00101000,%10010010,%10000000
	.db %00010010,%01010001,%00100101,%00000000
	.db %00100100,%10100001,%01001010,%00000000
	.db %01001001,%01000001,%00010100,%00000000
	.db %10010010,%10000001,%11101000,%00000000
	.db %10100101,%00000001,%00010000,%00000000
	.db %10001010,%00000001,%11100000,%00000000
	.db %11110100,%00000000,%00000000,%00000000
	.db %10001000,%00000000,%00000000,%00000000
	.db %11110000,%00000000,%00000000,%00000000


	.db %11111111,%11000011,%11111111,%11111111
	.db %11111111,%10000011,%11111111,%11111111
	.db %11111111,%00000011,%11111111,%11111111
	.db %11111110,%00000011,%11111111,%11111111
	.db %11111100,%00000001,%11111111,%11111111
	.db %11111000,%00000000,%10111111,%11111111
	.db %11110000,%00000000,%00011111,%11111111
	.db %11100000,%00000000,%00001111,%11111111
	.db %11000000,%00000000,%00000111,%11111111
	.db %11000000,%00100000,%00000111,%11111111
	.db %11000000,%01110000,%00000111,%11111111
	.db %11000000,%11100000,%00000011,%11111111
	.db %11000001,%11000000,%00000000,%00111111
	.db %11000011,%10000000,%00000000,%00111111
	.db %11111111,%00000000,%00000000,%00111111
	.db %11111110,%00000000,%10000000,%00111111
	.db %11111100,%00000001,%11000000,%00111111
	.db %11111000,%00000011,%10000000,%00111111
	.db %11110000,%00000111,%00000000,%01111111
	.db %11100000,%00001110,%00000000,%11111111
	.db %11000000,%00011110,%00000001,%11111111
	.db %10000000,%00111110,%00000011,%11111111
	.db %00000000,%01111110,%00000111,%11111111
	.db %00000000,%11111110,%00001111,%11111111
	.db %00000001,%11111110,%00011111,%11111111
	.db %00000011,%11111111,%11111111,%11111111
	.db %00000111,%11111111,%11111111,%11111111
	.db %00001111,%11111111,%11111111,%11111111

;LEFT

.db 14, 11
.db 4, 23
.db 92


	.db %00000000,%00000011,%11111111,%11000000
	.db %00000000,%00000100,%00000000,%00100000
	.db %00000000,%00001001,%11111111,%10010000
	.db %00000000,%00001100,%00000001,%00110000
	.db %00000000,%00001011,%11111101,%01010000
	.db %00000000,%00000100,%00000101,%01100000
	.db %00000000,%00000011,%11111101,%01000000
	.db %00000000,%00000000,%00000101,%01000000
	.db %00111111,%11111111,%11111101,%01110000
	.db %01000000,%00000000,%00000001,%00010000
	.db %10011111,%11111111,%11111111,%11010000
	.db %11000000,%00000000,%00000001,%00010000
	.db %10111111,%11111111,%11111101,%01110000
	.db %01000000,%00000000,%00000101,%01010000
	.db %00111111,%11111111,%11111101,%01110000
	.db %00000000,%00000000,%00000101,%01000000
	.db %00000000,%00000011,%11111101,%01000000
	.db %00000000,%00000100,%00000001,%00100000
	.db %00000000,%00001001,%11111111,%10010000
	.db %00000000,%00001100,%00000000,%00110000
	.db %00000000,%00001011,%11111111,%11010000
	.db %00000000,%00000100,%00000000,%00100000
	.db %00000000,%00000011,%11111111,%11000000

	.db %11111111,%11111100,%00000000,%00111111
	.db %11111111,%11111000,%00000000,%00011111
	.db %11111111,%11110000,%00000000,%00001111
	.db %11111111,%11110000,%00000000,%00001111
	.db %11111111,%11110000,%00000000,%00001111
	.db %11111111,%11111000,%00000000,%00011111
	.db %11111111,%11111100,%00000000,%00111111
	.db %11111111,%11111111,%11111000,%00111111
	.db %11000000,%00000000,%00000000,%00001111
	.db %10000000,%00000000,%00000000,%00001111
	.db %00000000,%00000000,%00000000,%00001111
	.db %00000000,%00000000,%00000000,%00001111
	.db %00000000,%00000000,%00000000,%00001111
	.db %10000000,%00000000,%00000000,%00001111
	.db %11000000,%00000000,%00000000,%00001111
	.db %11111111,%11111111,%11111000,%00111111
	.db %11111111,%11111100,%00000000,%00111111
	.db %11111111,%11111000,%00000000,%00011111
	.db %11111111,%11110000,%00000000,%00001111
	.db %11111111,%11110000,%00000000,%00001111
	.db %11111111,%11110000,%00000000,%00001111
	.db %11111111,%11111000,%00000000,%00011111
	.db %11111111,%11111100,%00000000,%00111111


;DOWN

.db 11, 15
.db 3, 30
.db 90


	.db %00100000,%11111000,%00100000
	.db %01010000,%10001000,%01010000
	.db %10001111,%10101111,%10001000
	.db %10100000,%00100000,%00101000
	.db %10111111,%11111111,%11101000
	.db %10100000,%00100000,%00101000
	.db %10101111,%10101111,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101111,%10101111,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10101000,%10101000,%10101000
	.db %10001000,%10101000,%10001000
	.db %11011000,%10101000,%11011000
	.db %10101000,%10101000,%10101000
	.db %01010000,%10101000,%01010000
	.db %00100000,%10101000,%00100000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%10001000,%00000000
	.db %00000000,%11011000,%00000000
	.db %00000000,%10101000,%00000000
	.db %00000000,%01010000,%00000000
	.db %00000000,%00100000,%00000000

	.db %11011111,%00000111,%11011111
	.db %10001111,%00000111,%10001111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000000,%00000000,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %00000111,%00000111,%00000111
	.db %10001111,%00000111,%10001111
	.db %11011111,%00000111,%11011111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%00000111,%11111111
	.db %11111111,%10001111,%11111111
	.db %11111111,%11011111,%11111111


;******************************************
;******************************************
;***					***
;***		DEGRUSER		***
;***					***
;******************************************
;******************************************


Degruser_Sprite_Data:

.db 8
.db 40 + 40 + 5
.db 66 + 66 + 5
.db 66 + 66 + 5
.db 72 + 72 + 5
.db 48 + 48 + 5
.db 72 + 72 + 5
.db 48 + 48 + 5

;UP

.db 5, 10
.db 2, 20
.db 40

	.db %01111111,%11000000
	.db %01000000,%01000000
	.db %01000000,%01000000
	.db %01000000,%01000000
	.db %01000000,%01000000
	.db %01111111,%11000000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %01001110,%01000000
	.db %01010101,%01000000
	.db %01011111,%01000000
	.db %01010101,%01000000
	.db %01001110,%01000000
	.db %01000000,%01000000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11111111,%11100000

	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111

;UP LEFT

.db 10, 11
.db 3, 22
.db 66

	.db %00000000,%00100000,%00000000
	.db %00000010,%01010000,%00000000
	.db %00000101,%10001000,%00000000
	.db %00001001,%00000100,%00000000
	.db %00010010,%00000010,%00000000
	.db %00100100,%00011001,%00000000
	.db %01001000,%00100100,%10000000
	.db %10001100,%01011010,%01000000
	.db %01001010,%01011010,%00100000
	.db %00101001,%00100100,%00010000
	.db %00011000,%10011000,%00110000
	.db %00001000,%01000000,%01010000
	.db %00001100,%00100000,%10010000
	.db %00000110,%00010001,%01010000
	.db %00000101,%00001010,%11010000
	.db %00000010,%10000101,%10110000
	.db %00000001,%01000101,%01010000
	.db %00000000,%00100100,%10100000
	.db %00000000,%00110101,%00000000
	.db %00000000,%00101110,%00000000
	.db %00000000,%00010100,%00000000
	.db %00000000,%00001000,%00000000

	.db %11111111,%11011111,%11111111
	.db %11111101,%10001111,%11111111
	.db %11111000,%00000111,%11111111
	.db %11110000,%00000011,%11111111
	.db %11100000,%00000001,%11111111
	.db %11000000,%00000000,%11111111
	.db %10000000,%00000000,%01111111
	.db %00000000,%00000000,%00111111
	.db %10000000,%00000000,%00011111
	.db %11000000,%00000000,%00001111
	.db %11100000,%00000000,%00001111
	.db %11110000,%00000000,%00001111
	.db %11110000,%00000000,%00001111
	.db %11111000,%00000000,%00001111
	.db %11111000,%00000000,%00001111
	.db %11111100,%00000000,%00001111
	.db %11111110,%10000000,%00001111
	.db %11111111,%11000000,%01011111
	.db %11111111,%11000000,%11111111
	.db %11111111,%11000001,%11111111
	.db %11111111,%11100011,%11111111
	.db %11111111,%11110111,%11111111


;UP RIGHT

.db 10, 11
.db 3, 22
.db 66

	.db %00000000,%01000000,%00000000
	.db %00000000,%10100100,%00000000
	.db %00000001,%00011010,%00000000
	.db %00000010,%00001001,%00000000
	.db %00000100,%00000100,%10000000
	.db %00001001,%10000010,%01000000
	.db %00010010,%01000001,%00100000
	.db %00100101,%10100011,%00010000
	.db %01000101,%10100101,%00100000
	.db %10000010,%01001001,%01000000
	.db %11000001,%10010001,%10000000
	.db %10100000,%00100001,%00000000
	.db %10010000,%01000011,%00000000
	.db %10101000,%10000110,%00000000
	.db %10110101,%00001010,%00000000
	.db %11011010,%00010100,%00000000
	.db %10101010,%00101000,%00000000
	.db %01010010,%01000000,%00000000
	.db %00001010,%11000000,%00000000
	.db %00000111,%01000000,%00000000
	.db %00000010,%10000000,%00000000
	.db %00000001,%00000000,%00000000

	.db %11111111,%10111111,%11111111
	.db %11111111,%00011011,%11111111
	.db %11111110,%00000001,%11111111
	.db %11111100,%00000000,%11111111
	.db %11111000,%00000000,%01111111
	.db %11110000,%00000000,%00111111
	.db %11100000,%00000000,%00011111
	.db %11000000,%00000000,%00001111
	.db %10000000,%00000000,%00011111
	.db %00000000,%00000000,%00111111
	.db %00000000,%00000000,%01111111
	.db %00000000,%00000000,%11111111
	.db %00000000,%00000000,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000011,%11111111
	.db %00000000,%00010111,%11111111
	.db %10100000,%00111111,%11111111
	.db %11110000,%00111111,%11111111
	.db %11111000,%00111111,%11111111
	.db %11111100,%01111111,%11111111
	.db %11111110,%11111111,%11111111

;DOWN RIGHT

.db 9, 12
.db 3, 24
.db 72

	.db %00000010,%00000000,%00000000
	.db %00000101,%00000000,%00000000
	.db %00001000,%10000000,%00000000
	.db %00010000,%01000000,%00000000
	.db %00100000,%00100000,%00000000
	.db %01000001,%10010000,%00000000
	.db %10000010,%01001000,%00000000
	.db %11000101,%10100100,%00000000
	.db %10100101,%10100010,%00000000
	.db %10010010,%01000001,%00000000
	.db %10001001,%10000011,%00000000
	.db %10000100,%00000101,%00000000
	.db %11000010,%00001001,%00000000
	.db %10100001,%00010001,%00000000
	.db %01010000,%10100001,%00000000
	.db %00101000,%01000010,%10000000
	.db %00000100,%01000100,%01000000
	.db %00000110,%01001000,%00100000
	.db %00000101,%01010000,%01000000
	.db %00000010,%11100000,%10000000
	.db %00000001,%01000001,%00000000
	.db %00000000,%00100010,%00000000
	.db %00000000,%00010100,%00000000
	.db %00000000,%00001000,%00000000

	.db %11111101,%11111111,%11111111
	.db %11111000,%11111111,%11111111
	.db %11110000,%01111111,%11111111
	.db %11100000,%00111111,%11111111
	.db %11000000,%00011111,%11111111
	.db %10000000,%00001111,%11111111
	.db %00000000,%00000111,%11111111
	.db %00000000,%00000011,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000000,%11111111
	.db %00000000,%00000000,%11111111
	.db %00000000,%00000000,%11111111
	.db %00000000,%00000000,%11111111
	.db %00000000,%00000000,%11111111
	.db %10000000,%00000000,%11111111
	.db %11010000,%00000000,%01111111
	.db %11111000,%00000000,%00111111
	.db %11111000,%00000000,%00011111
	.db %11111000,%00000000,%00111111
	.db %11111100,%00000000,%01111111
	.db %11111110,%10000000,%11111111
	.db %11111111,%11000001,%11111111
	.db %11111111,%11100011,%11111111
	.db %11111111,%11110111,%11111111

;RIGHT

.db 10, 8
.db 3, 16
.db 48

	.db %11111111,%11111110,%00000000
	.db %10000000,%00000010,%00000000
	.db %10000011,%10000010,%00000000
	.db %10000101,%01000010,%00000000
	.db %10000111,%11000010,%00000000
	.db %10000101,%01000011,%11110000
	.db %10000011,%10000010,%00010000
	.db %10000000,%00000010,%00010000
	.db %11111111,%11111110,%00010000
	.db %10000000,%00000010,%00010000
	.db %10100000,%00010010,%00010000
	.db %10011111,%11100010,%00010000
	.db %10000000,%00000010,%00010000
	.db %11111111,%11111111,%11110000
	.db %10010000,%00100100,%00000000
	.db %01100000,%00011000,%00000000

	.db %00000000,%00000001,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000001,%11111111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00001111,%11000011,%11111111
	.db %10011111,%11100111,%11111111


;DOWN LEFT


.db 9, 12
.db 3, 24
.db 72

	.db %00000000,%00001000,%00000000
	.db %00000000,%00010100,%00000000
	.db %00000000,%00100010,%00000000
	.db %00000000,%01000001,%00000000
	.db %00000000,%10000000,%10000000
	.db %00000001,%00110000,%01000000
	.db %00000010,%01001000,%00100000
	.db %00000100,%10110100,%01100000
	.db %00001000,%10110100,%10100000
	.db %00010000,%01001001,%00100000
	.db %00011000,%00110010,%00100000
	.db %00010100,%00000100,%00100000
	.db %00010010,%00001000,%01100000
	.db %00010001,%00010000,%10100000
	.db %00010000,%10100001,%01000000
	.db %00101000,%01000010,%10000000
	.db %01000100,%01000100,%00000000
	.db %10000010,%01001100,%00000000
	.db %01000001,%01010100,%00000000
	.db %00100000,%11101000,%00000000
	.db %00010000,%01010000,%00000000
	.db %00001000,%10000000,%00000000
	.db %00000101,%00000000,%00000000
	.db %00000010,%00000000,%00000000

	.db %11111111,%11110111,%11111111
	.db %11111111,%11100011,%11111111
	.db %11111111,%11000001,%11111111
	.db %11111111,%10000000,%11111111
	.db %11111111,%00000000,%01111111
	.db %11111110,%00000000,%00111111
	.db %11111100,%00000000,%00011111
	.db %11111000,%00000000,%00011111
	.db %11110000,%00000000,%00011111
	.db %11100000,%00000000,%00011111
	.db %11100000,%00000000,%00011111
	.db %11100000,%00000000,%00011111
	.db %11100000,%00000000,%00011111
	.db %11100000,%00000000,%00011111
	.db %11100000,%00000000,%00111111
	.db %11000000,%00000001,%01111111
	.db %10000000,%00000011,%11111111
	.db %00000000,%00000011,%11111111
	.db %10000000,%00000011,%11111111
	.db %11000000,%00000111,%11111111
	.db %11100000,%00101111,%11111111
	.db %11110000,%01111111,%11111111
	.db %11111000,%11111111,%11111111
	.db %11111101,%11111111,%11111111

;LEFT


.db 10, 8
.db 3, 16
.db 48

	.db %00000111,%11111111,%11110000
	.db %00000100,%00000000,%00010000
	.db %00000100,%00011100,%00010000
	.db %00000100,%00101010,%00010000
	.db %00000100,%00111110,%00010000
	.db %11111100,%00101010,%00010000
	.db %10000100,%00011100,%00010000
	.db %10000100,%00000000,%00010000
	.db %10000111,%11111111,%11110000
	.db %10000100,%00000000,%00010000
	.db %10000100,%10000000,%01010000
	.db %10000100,%01111111,%10010000
	.db %10000100,%00000000,%00010000
	.db %11111111,%11111111,%11110000
	.db %00000010,%01000000,%10010000
	.db %00000001,%10000000,%01100000

	.db %11111000,%00000000,%00001111
	.db %11111000,%00000000,%00001111
	.db %11111000,%00000000,%00001111
	.db %11111000,%00000000,%00001111
	.db %11111000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %00000000,%00000000,%00001111
	.db %11111100,%00111111,%00001111
	.db %11111110,%01111111,%10011111

;DOWN

.db 5, 10
.db 2, 20
.db 40


	.db %11111111,%11100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %01000000,%01000000
	.db %01001110,%01000000
	.db %01010101,%01000000
	.db %01011111,%01000000
	.db %01010101,%01000000
	.db %01001110,%01000000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %11000000,%01100000
	.db %01111111,%11000000
	.db %01000000,%01000000
	.db %01000000,%01000000
	.db %01000000,%01000000
	.db %01000000,%01000000
	.db %01111111,%11000000

	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111
	.db %10000000,%00111111

;******************************************
;******************************************
;***					***
;***		RAPTOR			***
;***					***
;******************************************
;******************************************


Raptor_Sprite_Data:


.db 8
.db 28 + 28 + 5
.db 28 + 28 + 5
.db 28 + 28 + 5
.db 26 + 26 + 5
.db 22 + 22 + 5
.db 26 + 26 + 5
.db 22 + 22 + 5


;UP

.db 5, 7
.db 2, 14
.db 28

	.db %00100001,%00000000
	.db %01010010,%10000000
	.db %01010010,%10000000
	.db %01010010,%10000000
	.db %01001100,%10000000
	.db %10100001,%01000000
	.db %10100001,%01000000
	.db %10101101,%01000000
	.db %10101101,%01000000
	.db %10100001,%01000000
	.db %10100001,%01000000
	.db %11000000,%11000000
	.db %01111111,%10000000
	.db %00111111,%00000000

	.db %11011110,%11111111
	.db %10001100,%01111111
	.db %10001100,%01111111
	.db %10001100,%01111111
	.db %10000000,%01111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %10000000,%01111111
	.db %11000000,%11111111

;UP LEFT

.db 6, 7
.db 2, 14
.db 28

	.db %00011100,%00000000
	.db %00010010,%00000000
	.db %00011001,%00000000
	.db %11001100,%11000000
	.db %10100100,%10100000
	.db %10011000,%01010000
	.db %11000000,%00101000
	.db %01100001,%10011000
	.db %00111001,%10001000
	.db %00110100,%00011000
	.db %00011010,%00110000
	.db %00001101,%01100000
	.db %00000111,%11000000
	.db %00000011,%10000000

	.db %11100011,%11111111
	.db %11100001,%11111111
	.db %11100000,%11111111
	.db %00110000,%00111111
	.db %00011000,%00011111
	.db %00000000,%00001111
	.db %00000000,%00000111
	.db %10000000,%00000111
	.db %11000000,%00000111
	.db %11000000,%00000111
	.db %11100000,%00001111
	.db %11110000,%00011111
	.db %11111000,%00111111
	.db %11111100,%01111111

;UP RIGHT

.db 6, 7
.db 2, 14
.db 28

	.db %00000001,%11000000
	.db %00000010,%01000000
	.db %00000100,%11000000
	.db %00011001,%10011000
	.db %00101001,%00101000
	.db %01010000,%11001000
	.db %10100000,%00011000
	.db %11001100,%00110000
	.db %10001100,%11100000
	.db %11000001,%01100000
	.db %01100010,%11000000
	.db %00110101,%10000000
	.db %00011111,%00000000
	.db %00001110,%00000000

	.db %11111110,%00111111
	.db %11111100,%00111111
	.db %11111000,%00111111
	.db %11100000,%01100111
	.db %11000000,%11000111
	.db %10000000,%00000111
	.db %00000000,%00000111
	.db %00000000,%00001111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %10000000,%00111111
	.db %11000000,%01111111
	.db %11100000,%11111111
	.db %11110001,%11111111

;DOWN RIGHT

.db 6, 6
.db 2, 13
.db 26

	.db %00001110,%00000000
	.db %00010101,%00000000
	.db %00100010,%10000000
	.db %01000001,%01000000
	.db %10001100,%11000000
	.db %11001100,%00100000
	.db %10100000,%00010000
	.db %11010000,%11001000
	.db %01101001,%01101000
	.db %00111001,%00111000
	.db %00011100,%10000000
	.db %00000110,%01000000
	.db %00000011,%11000000

	.db %11110001,%11111111
	.db %11100000,%11111111
	.db %11000000,%01111111
	.db %10000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00011111
	.db %00000000,%00001111
	.db %00000000,%00000111
	.db %10000000,%10000111
	.db %11000000,%11000111
	.db %11100000,%01111111
	.db %11111000,%00111111
	.db %11111100,%00111111

;RIGHT

.db 6, 5
.db 2, 11
.db 22

	.db %00111111,%00000000
	.db %01000000,%11110000
	.db %10111111,%00001000
	.db %10000000,%01111000
	.db %10001100,%11110000
	.db %10001100,%10000000
	.db %10000000,%01110000
	.db %10111111,%00001000
	.db %11000000,%11111000
	.db %01111111,%11110000
	.db %00111111,%00000000

	.db %11000000,%11111111
	.db %10000000,%00001111
	.db %00000000,%00000111
	.db %00000000,%00000111
	.db %00000000,%00001111
	.db %00000000,%01111111
	.db %00000000,%00001111
	.db %00000000,%00000111
	.db %00000000,%00000111
	.db %10000000,%00001111
	.db %11000000,%11111111

;DOWN LEFT

.db 6, 6
.db 2, 13
.db 26


	.db %00000011,%10000000
	.db %00000101,%01000000
	.db %00001010,%00100000
	.db %00010100,%00010000
	.db %00011001,%10001000
	.db %00100001,%10011000
	.db %01000000,%00101000
	.db %10011000,%01011000
	.db %10110100,%10110000
	.db %11100100,%11100000
	.db %00001001,%11000000
	.db %00010011,%00000000
	.db %00011110,%00000000

	.db %11111100,%01111111
	.db %11111000,%00111111
	.db %11110000,%00011111
	.db %11100000,%00001111
	.db %11100000,%00000111
	.db %11000000,%00000111
	.db %10000000,%00000111
	.db %00000000,%00000111
	.db %00001000,%00001111
	.db %00011000,%00011111
	.db %11110000,%00111111
	.db %11100000,%11111111
	.db %11100001,%11111111

;LEFT

.db 6, 5
.db 2, 11
.db 22
	.db %00000111,%11100000
	.db %01111000,%00010000
	.db %10000111,%11101000
	.db %11110000,%00001000
	.db %01111001,%10001000
	.db %00001001,%10001000
	.db %01110000,%00001000
	.db %10000111,%11101000
	.db %11111000,%00011000
	.db %01111111,%11110000
	.db %00000111,%11100000

	.db %11111000,%00011111
	.db %10000000,%00001111
	.db %00000000,%00000111
	.db %00000000,%00000111
	.db %10000000,%00000111
	.db %11110000,%00000111
	.db %10000000,%00000111
	.db %00000000,%00000111
	.db %00000000,%00000111
	.db %10000000,%00001111
	.db %11111000,%00011111

;DOWN

.db 5, 7
.db 2, 13
.db 26


	.db %00111111,%00000000
	.db %01000000,%10000000
	.db %10100001,%01000000
	.db %10100001,%01000000
	.db %10101101,%01000000
	.db %10101101,%01000000
	.db %10100001,%01000000
	.db %10100001,%01000000
	.db %01001100,%10000000
	.db %01011110,%10000000
	.db %01010010,%10000000
	.db %01010010,%10000000
	.db %00100001,%00000000


	.db %11000000,%11111111
	.db %10000000,%01111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %00000000,%00111111
	.db %10000000,%01111111
	.db %10000000,%01111111
	.db %10001100,%01111111
	.db %10001100,%01111111
	.db %11011110,%11111111


;******************************************
;******************************************
;***					***
;***		ARGO			***
;***					***
;******************************************
;******************************************

Argo_Sprite_Data:

.db 7, 4
.db 2, 9
.db 18

	.db %00000111,%10000000
	.db %00011000,%01100000
	.db %00100000,%01010000
	.db %01100000,%10111000
	.db %10011101,%01100100
	.db %11000111,%10001100
	.db %01010000,%00101000
	.db %00111010,%10110000
	.db %00001111,%11000000

	.db %11111000,%01111111
	.db %11100000,%00011111
	.db %11000000,%00001111
	.db %10000000,%00000111
	.db %00000000,%00000011
	.db %00000000,%00000011
	.db %10000000,%00000111
	.db %11000000,%00001111
	.db %11110000,%00111111


;******************************************
;******************************************
;***					***
;***		CAMOZA			***
;***					***
;******************************************
;******************************************

Camoza_Sprite_Data:

.db 5, 6
.db 2, 13
.db 26

	.db %00001110,%00000000
	.db %00011001,%00000000
	.db %01110011,%11000000
	.db %11001111,%00100000
	.db %10011110,%01100000
	.db %10111001,%11100000
	.db %01110011,%11000000
	.db %11010111,%00100000
	.db %10011110,%01100000
	.db %10111001,%11100000
	.db %01110011,%11000000
	.db %00010111,%00000000
	.db %00001110,%00000000

	.db %11110001,%11111111
	.db %11100000,%11111111
	.db %10000000,%00111111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %10000000,%00111111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %00000000,%00011111
	.db %10000000,%00111111
	.db %11100000,%11111111
	.db %11110001,%11111111


;******************************************
;******************************************
;***					***
;***		SCOUTER			***
;***					***
;******************************************
;******************************************

Scouter_Sprite_Data:


.db 8
.db 0
.db 0
.db 12 * 8 + 20
.db 0
.db 12 * 8 + 20
.db 0
.db 12 * 8 + 20




.db 3, 6
.db 1, 12
.db 12


	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %11000111
	.db %10101011

.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %00111100
	.db %01000000


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %11000011
	.db %10111111

.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %11000111
	.db %10101011

.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %01111000
	.db %00000100

	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %10000111
	.db %11111011

.db 3, 6
.db 1, 12
.db 12



	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00011100
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11100011
	.db %11101111
	.db %11000111
	.db %10101011
.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00011100
	.db %00010000
	.db %00111100
	.db %01000000


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11100011
	.db %11101111
	.db %11000011
	.db %10111111
.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00011100
	.db %00010000
	.db %00111000
	.db %01010100

	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11100011
	.db %11101111
	.db %11000111
	.db %10101011

.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00011100
	.db %00010000
	.db %01111000
	.db %00000100

	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11100011
	.db %11101111
	.db %10000111
	.db %11111011

.db 3, 6
.db 1, 12
.db 12

	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %01110000
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %10001111
	.db %11101111
	.db %11000111
	.db %10101011

.db 3, 6
.db 1, 12
.db 12

	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %01110000
	.db %00010000
	.db %00111100
	.db %01000000



	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %10001111
	.db %11101111
	.db %11000011
	.db %10111111

.db 3, 6
.db 1, 12
.db 12

	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %01110000
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %10001111
	.db %11101111
	.db %11000111
	.db %10101011
.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %01110000
	.db %00010000
	.db %01111000
	.db %00000100

	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %10001111
	.db %11101111
	.db %10000111
	.db %11111011

.db 3, 6
.db 1, 12
.db 12


	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %11000111
	.db %10101011
.db 3, 6
.db 1, 12
.db 12

	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %00111100
	.db %01000000


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %11000011
	.db %10111111

.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %00111000
	.db %01010100


	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %11000111
	.db %10101011

.db 3, 6
.db 1, 12
.db 12
	.db %00111000
	.db %01000100
	.db %10000110
	.db %10001010
	.db %10010110
	.db %01101100
	.db %00111000
	.db %00010000
	.db %00111000
	.db %00010000
	.db %01111000
	.db %00000100

	.db %11000111
	.db %10000011
	.db %00000001
	.db %00000001
	.db %00000001
	.db %10000011
	.db %11000111
	.db %11101111
	.db %11000111
	.db %11101111
	.db %10000111
	.db %11111011