;----------------------------------------------------------------
;
; This file contains all attributes for Ground Units, Air Units,
; and Buildings.  For programming and balancing purposes, only
; the basic attributes are coded here.  The rest of the values
; are hard coded elsewhere in the file, but are defined in comments
; here.
;
;----------------------------------------------------------------


NumberOfBytesPerShip .equ 21


; The following attributes are for movable units.  
;
; First Value -- Cost (Requires 2 Bytes)
; Second Value -- Food Cost
; Third Value -- Hit Points (Also called Health Points in this game)
;   (Requires 2 Bytes)
; Fourth Value -- Damage Per Shot of Anti-Air Weapons
; Fifth Value -- Damage Per Shot of Anti-Ground Weapons

;   and is given in intervals of 16 pixels.
; Sixth Value /Seventh Value: Time required to build, in interrupt ticks
; Eighth Value -- Fuel Capacity (Requires 2 Bytes)
; Ninth Value -- Sephrane Gas Capacity
; Tenth Value -- Fuel Per Shot

; Eleventh Value -- Fire Rate.  This is given in how many frames it
;   requires for a new weapon to fire.
; Twelth Value--Loss of HP per second
; Thriteenth Value -- Weapon Range.  This is the same for air and ground weapons,
; Fourteenth Value -- Line Of Sight
; Max allowed



Unit_Scouter:

 .dw 0,0,0,0,0,0,0,0
 .dw 0,0
 .db 0

Unit_Raptor:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $04, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0

Unit_Argo:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0


Unit_Tank:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0
 

Unit_Degruser:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0
 
Unit_Reclauda:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0
 
Unit_Camoza:    ;Damage is 300 splash damage, but this is hard-coded

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0

Unit_Balkstone:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0

Unit_Splitron:

 .db 0, 50
 .db 1
 .dw 60
 .dw 20
 .db $01, $E0
 .db 6
 .db 2
 .db 3
 .db 0
 .dw 1200
 .db 20
 .db 6
 .db 30
 .db 11
 .db 0,0
 

 

 


Operation_Center:

 .db 20  ;Start Tile
 .db 0 	;32 x 32
 .db 0	;ID
 .dw 1500 ;Cost
 .db $03, $E8	;1000 HP
 .db $66	;Build Time Information

;End Tile, HP before advancing Health/Progress Bar,
;

 .db "OPERATION/CENTER",0,"/",23,0,0,0,$36,0

Transformation_Gateway:

 .db 40
 .db 0
 .db 1
 .dw 100
 .db 0, 200
 .db $AA
 .db "TRANSFRM:/GATEWAY",0,43,0,0,0,$24,0

Point_Defense:

 .db 46
 .db 3
 .db 2
 .dw 100
 .db 0, 250
 .db $11
 .db "POINT/DEFENSE",0,"////",46,0,0,0,$35,0

AA_Defense:

 .db 44
 .db 3
 .db 3
 .dw 100
 .db 0, 250
 .db $99
 .db "ANTI>AIR/DEFENSE",0,"/",44,0,0,0,$35,0

Universal_Defense:

 .db 28
 .db 0
 .db 4
 .dw 750
 .db $05, $DC	;1500 HP	
 .db $33
 .db "UNIVERSAL/DEFENSE",0,31,0,0,0,$48,0

Refinery:

 .db 47
 .db 3
 .db 5
 .dw 400
 .db 0, 120
 .db $EE
 .db "REFINERY///PUS;",0,"//",47
 .dw Add_Human_Processing_Unit_Menu
 .db 10,0,0	;10 is a placeholder.  Later on it
		;will mean that the building is
		;a refinery.

Shield_Generator:

 .db 45
 .db 3
 .db 6
 .dw 300
 .db 0, 240 
 .db $EE
 .db "SHIELD/GENERATOR",0,"/",45,0,0,0,$36,0

Watchtower:

 .db 36
 .db 2
 .db 7
 .dw 100
 .db 0, 240
 .db $AA
 .db "WATCHTOWER",0,"///////",37,0,0,0,$5A,0

Laboratory:

 .db 0
 .db 0
 .db 8
 .dw 300
 .db $00, $30	;1000 HP
 .db $44
 .db "LABORATORY",0,"///////",3
 .dw Laboratory_Menu
 .db 0,$24,0

Factory:

 .db 16
 .db 0
 .db 9
 .dw 200
 .db $00, $30	;1000 HP
 .db $44
 .db "FACTORY",0,"//////////",19
 .dw Factory_Menu
 .db 0,$24,0

Starbase:

 .db 32
 .db 0
 .db 10
 .dw 300
 .db $00, $30	;1000 HP
 .db $44
 .db "STARBASE",0,"/////////",35
 .dw Starbase_Menu_One
 .db 0,$24,0

Armory:

 .db 8
 .db 0
 .db 11
 .dw 200
 .db $01, $F4	;500 HP
 .db $AA
 .db "ARMORY",0,"///////////",11,0,0,0,$24,0

Command_Center:

 .db 4
 .db 0
 .db 12

 .dw 800
 .db $02, $BC	;700 HP
 .db $99
 .db "COMMAND/CENTER",0,"///",7,0,0,0,$24,0

Manhatton_Station:

 .db 24
 .db 0
 .db 13
 .dw 250
 .db $01, $90	;400 HP
 .db $CC
 .db "MANHATTON/STATION",0,27,0,0,0,$24,0

Quantum_Facility:

 .db 12
 .db 0
 .db 14
 .dw 500
 .db $02, $58	;600 HP
 .db $EE
 .db "QUANTUM/FACILITY",0,"/",15,0,0,0,$24,0

ACC:


 .db 38
 .db 1
 .db 15
 .dw 100
 .db 0, 150
 .db $FF
 .db "AUTO/CON:/COMPLEX",0,39,0,0,0,$24,0



